// Copyright 1997-1999 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Source/CVS/OmniGroup/OmniAppKit/Inspector.subproj/OAInspector.h,v 1.8 1999/08/05 05:08:54 bungi Exp $

#import <OmniBase/OBObject.h>

@class NSBox, NSView, NSWindow;

#import <AppKit/NSNibDeclarations.h> // For IBOutlet
#import <OmniAppKit/OAInspectableControllerProtocol.h>
#import <OmniAppKit/OAInspectorProtocol.h>

@interface OAInspector : OBObject
{
    IBOutlet NSWindow *inspectorWindow;
    IBOutlet NSBox *inspectorBox;
    IBOutlet NSBox *noInspectorBox;
    IBOutlet NSBox *multiInspectorBox;

    id <OAInspector, NSObject> currentInspector;
    NSView *currentInspectorView;

    BOOL isOnScreen;
}

+ (void)registerInspector:(id <OAInspector>)anInspector forClass:(Class)aClass;
+ (OAInspector *) sharedInspector;
+ (void)showInspector;

+ (id)multipleSelectionObject;

- (BOOL)isInspectorVisible;

@end

#import <OmniAppKit/FrameworkDefines.h>

OmniAppKit_EXTERN NSString *OAInspectorSelectionDidChangeNotification;
OmniAppKit_EXTERN NSString *OAInspectorShowInspectorDefaultKey;
