// Copyright 1997-1999 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.

#import <OmniAppKit/OAAppkitQueueProcessor.h>

#import <Foundation/Foundation.h>
#import <AppKit/AppKit.h>
#import <OmniBase/OmniBase.h>
#import <OmniFoundation/OmniFoundation.h>

RCS_ID("$Header: /Network/Source/CVS/OmniGroup/OmniAppKit/OAAppkitQueueProcessor.m,v 1.12 1999/08/05 05:08:51 bungi Exp $")

@interface OAAppkitQueueProcessor : OFRunLoopQueueProcessor
{
}
    
@end

@implementation OAAppkitQueueProcessor

// Give UI events priority over queued messages

- (BOOL)shouldProcessQueueEnd;
{
    NSEvent *event;

    [[NSThread currentThread] yield];
    event = [NSApp nextEventMatchingMask:NSAnyEventMask untilDate:[NSDate distantPast] inMode:NSEventTrackingRunLoopMode dequeue:NO];
    if (event) {
	if (OFQueueProcessorDebug)
	    NSLog(@"%@: breaking for event: %@", OBShortObjectDescription(self), event);
	return YES;
    }
    return NO;
}

@end

//
// Override key methods in OFRunLoopQueueProcessor to get the correct AppKit
// behaviour.
//
@implementation OFRunLoopQueueProcessor (AppkitQueueProcessor)

+ (NSArray *) mainThreadRunLoopModes;
{
    return [NSArray arrayWithObjects: NSDefaultRunLoopMode, NSModalPanelRunLoopMode, nil];
}

+ (Class) mainThreadRunLoopProcessorClass;
{
    return [OAAppkitQueueProcessor class];
}

@end


/*
 This category is obsolete ... there are now equivalent methods in OFRunLoopQueueProcessor
 */

#warning TJW: Remove this obsolete category ...

@implementation OFQueueProcessor (AppkitQueueProcessor)


+ (OFQueueProcessor *)appkitQueueProcessor;
{
    return [OFRunLoopQueueProcessor mainThreadProcessor];
}

+ (void)startAppkitQueueProcessor;
{
    // This is done now in +[OFRunLoopQueueProcessor didLoad];
}

+ (void)disableAppkitQueueEventProcessing;
{
    [OFRunLoopQueueProcessor disableMainThreadQueueProcessing];
}

+ (void)reenableAppkitQueueEventProcessing;
{
    [OFRunLoopQueueProcessor reenableMainThreadQueueProcessing];
}

@end
